version: "3.0"

x-logging: &default-logging
    driver: "json-file"
    options:
        max-size: "500k"
        max-file: "10"


services:
  db:
    image: postgres:{{ pg_version }}-alpine
    restart: unless-stopped
    expose :
      - 5432
    environment:
      - POSTGRES_PASSWORD={{ pg_admin_password }}
      - TZ={{ timezone }}
      - PGTZ={{ timezone }}
    volumes:
      - ./db/live-data:/var/lib/postgresql/data
      - ./db/init:/docker-entrypoint-initdb.d/
      - {{ pg_limesurvey_backupfile }}:/tmp/backup/backup.sql
    networks:
      - internal-db
    logging: *default-logging

  limesurvey:
    image: martialblog/limesurvey:{{ limesurvey_version }}-fpm-alpine
    restart: unless-stopped
    volumes:
      - {{ limesurvey_data }}:/var/www/html/upload/surveys
      - limesurvey_web:/var/www/html
    networks:
      - internal-db
      - internal-fpm
    expose:
      - 9000
    depends_on:
      - db
    environment:
      - DB_TYPE=pgsql
      - DB_PORT=5432
      - DB_HOST=db
      - DB_NAME={{ pg_limesurvey_dbname }}
      - DB_USERNAME{{ pg_limesurvey_user }}
      - DB_PASSWORD={{ pg_limesurvey_password }}
      - ADMIN_USER={{ limesurvey_admin_user }}
      - ADMIN_PASSWORD={{ limesurvey_admin_password }}
      - PUBLIC_URL={{ limesurvey_domain }}
    logging: *default-logging

  web:
    build: ./web
    restart: unless-stopped
    volumes_from:
      - limesurvey
    environment:
      - VIRTUAL_HOST={{ limesurvey_domain }}
      - TZ={{ timezone }}
    depends_on:
      - limesurvey
    expose:
      - 80
    networks:
      - web
      - internal-fpm
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=web"
      - "traefik.http.routers.limesurvey.entrypoints=websecure"
      - "traefik.http.routers.limesurvey.rule=Host(`{{ limesurvey_domain }}`)"
      - "traefik.http.routers.limesurvey.tls.certresolver=httpsresolver"
      - "traefik.http.services.limesurvey.loadbalancer.server.port=80"
    logging: *default-logging


volumes:
  limesurvey_web:

networks:
  internal-fpm:
  internal-db:
  web:
    external: true
